######################################################################
# Global (base) package
package Global
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textdefaultcontent_ {The requested page could not be found. Please use
your browsers 'back' button or the above home button to return to the
Greenstone Digital Library.}

_textdefaulttitle_ {GSDL Error}

_collectionextra_ {This collection contains _about:numdocs_ documents. 
It was last built _about:builddate_ days ago.}

_textimagecollection_ {}
_textimageabout_ {About page}
_textimagehome_ {Home page}

_textimagesearch_ {Search for specific terms}
_textimageTitle_ {Browse alphabetical list of titles}

_texticontabsearchgreen_{Search}
_texticontabtitlegreen_{Titles A-Z}

_texticontext_ {View the document}
_texticonclosedbook_ {open this document and view contents}
_texticonnext_ {to next section}
_texticonprev_ {to previous section}

_texticonpdf_  {View the PDF document}

_page_ {page }
_pages_ {pages}
_of_ { of }
_vol_ {Vol.}
_num_ {No.}

_textmonth00_ {}
_textmonth01_ {January}
_textmonth02_ {February}
_textmonth03_ {March}
_textmonth04_ {April}
_textmonth05_ {May}
_textmonth06_ {June}
_textmonth07_ {July}
_textmonth08_ {August}
_textmonth09_ {September}
_textmonth10_ {October}
_textmonth11_ {November}
_textmonth12_ {December}

_Document_ {Document}
_Section_ {Section}
_Paragraph_ {Paragraph}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "HOME" ## top_nav_button ## chome ##
_httpiconchomeof_ {_httpimg_/chomeof.gif}
_httpiconchomeon_ {_httpimg_/chomeon.gif}

## "search" ## nav_bar_button ## tsrch ##
_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
_httpicontsrchof_ {_httpimg_/tsrchof.gif}
_httpicontsrchon_ {_httpimg_/tsrchon.gif}
_widthtsrchx_ {87}

## "titles a-z" ## nav_bar_button ## ttitl ##
_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
_httpiconttitlof_ {_httpimg_/ttitlof.gif}
_httpiconttitlon_ {_httpimg_/ttitlon.gif}
_widthttitlx_ {87}


######################################################################
# 'about' page
package about
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textabcol_ {About this collection}


#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "about" ## green_title ## h_about ##
_httpiconhabout_ {_httpimg_/h\_about.gif}
_widthhabout_ {200}
_heighthabout_ {57}

######################################################################
# document package
package document
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_texticonhtitle_ {Titles A-Z}

_texticonopenbookshelf_ {close this section of the library}
_texticonclosedbookshelf_ {open this section of the library and view contents}
_texticonopenbook_ {close this book}
_texticonclosedfolder_ {Open this folder and view contents}
_texticonclosedfolder2_ {open sub-section: }
_texticonopenfolder_ {close this folder}
_texticonopenfolder2_ {close sub-section: }
_texticonsmalltext_ {View this section of the text}
_texticonsmalltext2_ {view text: }
_texticonpointer_ {current section}
_texticondetach_ {Open this page in a new window}
_texticonhighlight_ {Highlight search terms}
_texticonnohighlight_ {Don't highlight search terms}
_texticoncontracttoc_ {Collapse table of contents}
_texticonexpandtoc_ {Expand table of contents}
_texticonexpandtext_ {Display all text}
_texticoncontracttext_ {Display text only for currently selected section}

_textgoto_ {go to page}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "titles a-z" ## green_title ## h_title ##
_httpiconhtitle_ {_httpimg_/h\_title.gif}
_widthhtitle_ {200}
_heighthtitle_ {57}

## "EXPAND TEXT" ## document_button ## eallt ## 
_httpiconealltof_ {_httpimg_/ealltof.gif}
_httpiconeallton_ {_httpimg_/eallton.gif}

## "CONTRACT CONTENTS" ## document_button ## econc ##
_httpiconeconcof_ {_httpimg_/econcof.gif}
_httpiconeconcon_ {_httpimg_/econcon.gif}

## "DETACH" ## document_button ## edtch ##
_httpiconedtchof_ {_httpimg_/edtchof.gif}
_httpiconedtchon_ {_httpimg_/edtchon.gif}

## "EXPAND CONTENTS" ## document_button ## eexpc ##
_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
_httpiconeexpcon_ {_httpimg_/eexpcon.gif}

## "CONTRACT TEXT" ## document_button ## etsec ##
_httpiconetsecof_ {_httpimg_/etsecof.gif}
_httpiconetsecon_ {_httpimg_/etsecon.gif}

## "HIGHLIGHTING" ## document_button ## ehl ##
_httpiconehlof_ {_httpimg_/ehlof.gif}
_httpiconehlon_ {_httpimg_/ehlon.gif}

## "NO HIGHLIGHTING" ## document_button ## enhl ##
_httpiconenhlof_ {_httpimg_/enhlof.gif}
_httpiconenhlon_ {_httpimg_/enhlon.gif}

######################################################################
# 'search' page
package query
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

# this if statement produces the text 'results n1 - nn for query: querystring' or 
# 'No matches for query: querystring', depending on whether or not there were
# any matches
_textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_)}

_texticonthispage_ {search}

#alt text for query buttons
_textusequery_ {use this query}
_textfreqmsg1_ {Word count: }
_textpostprocess_ {_If_(_quotedquery_,<br><i>post-processed to find _quotedquery_</i>
)}

_textmorethan_ {More than }
_textapprox_ {About }
_textnodocs_ {No documents matched the query.}
_text1doc_ {1 document matched the query.}
_textlotsdocs_ {documents matched the query.}
_textmatches_ {Matches }
_textbeginsearch_ {Begin Search}
_textrunquery_{Run Query}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "search" ## green_title ## h_search ##
_httpiconhsearch_ {_httpimg_/h\_search.gif}
_widthhsearch_ {200}
_heighthsearch_ {57}

## "results" ## green_bar_left_aligned ## qryresb ##
_httpiconqryresb_ {_httpimg_/qryresb.gif}
_widthqryresb_ {_pagewidth_}
_heightqryresb_ {17}
